OpenNMS::Release::AptRepo(3pm)

NAME
OpenNMS::Release::AptRepo - Perl extension that represents a Debian APT repository

SYNOPSIS
  use OpenNMS::Release::AptRepo;

DESCRIPTION
This represents an individual Debian APT repository, i.e., a directory in which you would run "apt-ftparchive".

Repositories are expected to be in the form:

  C<base>/dists/C<release>

CONSTRUCTOR
OpenNMS::Release::AptRepo->new($base, $release);

Create a new Repo object. You can add and remove packages to/from it, re-index it, and so on.

base - the top-level path for the repository
release - the name of the release, e.g., "nightly-1.8", "opennms-1.9", etc.

METHODS

  * find_repos($base)
Search for repositories, given a base path. Returns a list of OpenNMS::Release::AptRepo objects representing the repositories found.

  * release
The 'release' of the repository, e.g., "opennms-1.8", "nightly-1.9", etc. This is expected to be a subdirectory under the "base"/dists directory.

  * path
The path of the repository (base + release).

  * releasedir
The path of the release directory (base + release).

  * to_string
A convenient way of displaying the repository.

  * delete
Delete the repository from the filesystem.

  * replace
Given a target repository, replace the target repository with the contents of the current repository.

  * index({options})
Create the APT indexes for this repository.

Takes as argument a hash reference containing optional configuration.

Supported options:

•   signing_id - the GPG ID to sign the repository index as.

•   signing_password - the GPG password to sign the repository index with.

If either of the signing options are not passed, we do not sign the repository.

AUTHOR
Benjamin Reed <ranger@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2012 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.